> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get version entrypoints

> retrieve the entrypoints in scope for an analysis version



## OpenAPI

````yaml /api-reference/security.json get /security/versions/{version_id}/entrypoints
openapi: 3.1.2
info:
  title: Bevor Security API
  version: 1.0.0
servers: []
security: []
tags:
  - name: analysis
    description: Analyses, which own a lineage of versions and track a HEAD.
  - name: analysis version
    description: 'Versions of an analysis: creation, lineage, diffs, and pipeline runs.'
  - name: finding
    description: Findings on an analysis version, their staged edits, and comments.
  - name: remediation
    description: Remediations generated for findings.
  - name: summary
    description: Aggregated reporting over analyses, projects, and users.
  - name: chat
    description: Audit chat threads and messages.
paths:
  /security/versions/{version_id}/entrypoints:
    get:
      tags:
        - analysis version
      summary: get version entrypoints
      description: retrieve the entrypoints in scope for an analysis version
      parameters:
        - name: version_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  results:
                    items:
                      $ref: '#/components/schemas/EntryPointSchema'
                    title: Results
                    type: array
                title: ResultsResponse[EntryPointSchema]
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    EntryPointSchema:
      properties:
        node:
          $ref: '#/components/schemas/GraphSnapshotNode'
        is_analyzed:
          title: Is Analyzed
          type: boolean
        is_inherited:
          title: Is Inherited
          type: boolean
        is_analyzed_in_current:
          title: Is Analyzed In Current
          type: boolean
        pipeline_status:
          enum:
            - not_run
            - queued
            - processing
            - success
            - failed
          title: Pipeline Status
          type: string
        n_findings:
          default: 0
          title: N Findings
          type: integer
      required:
        - node
        - is_analyzed
        - is_inherited
        - is_analyzed_in_current
        - pipeline_status
      title: EntryPointSchema
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - auth.team_required
            - auth.invalid_permissions
            - error.not_found
            - error.invalid_scope
            - error.limit
            - error.entity_deleted
            - error.invalid_state
            - error.conflict
            - error.integrity
            - error.database
            - error.validation
            - error.server
            - analysis.entrypoint_failure
            - code.unsupported
            - code.node_invalid
            - code.conflict
            - app.rate_limit
            - payment.error
            - payment.failed
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
    GraphSnapshotNode:
      properties:
        id:
          title: Id
          type: string
        file_id:
          title: File Id
          type: string
        file_path:
          title: File Path
          type: string
        short_id:
          title: Short Id
          type: string
        node_type:
          title: Node Type
          type: string
        sub_type:
          type: string
          nullable: true
        src_start_pos:
          title: Src Start Pos
          type: integer
        src_end_pos:
          title: Src End Pos
          type: integer
        path:
          title: Path
          type: string
        docstring:
          type: string
          nullable: true
        name:
          title: Name
          type: string
        merkle_hash:
          title: Merkle Hash
          type: string
        visibility:
          enum:
            - external
            - public
            - internal
            - private
          type: string
          nullable: true
        mutability:
          type: string
          nullable: true
        is_virtual:
          default: false
          title: Is Virtual
          type: boolean
        is_implemented:
          default: false
          title: Is Implemented
          type: boolean
        signature:
          type: string
          nullable: true
        is_callable:
          title: Is Callable
          type: boolean
        is_declaration:
          title: Is Declaration
          type: boolean
        is_container:
          title: Is Container
          type: boolean
        is_entrypoint:
          title: Is Entrypoint
          type: boolean
        fields:
          items:
            $ref: '#/components/schemas/FieldMetadataItem'
          title: Fields
          type: array
        parameters:
          items:
            $ref: '#/components/schemas/ParameterStorageMetadata'
          title: Parameters
          type: array
      required:
        - id
        - file_id
        - file_path
        - short_id
        - node_type
        - src_start_pos
        - src_end_pos
        - path
        - name
        - merkle_hash
        - is_callable
        - is_declaration
        - is_container
        - is_entrypoint
      title: GraphSnapshotNode
      type: object
    FieldMetadataItem:
      properties:
        name:
          title: Name
          type: string
        type:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        mutability:
          type: string
          nullable: true
        discriminant:
          type: integer
          nullable: true
        constraints:
          items:
            $ref: '#/components/schemas/ConstraintItem'
          title: Constraints
          type: array
      required:
        - name
      title: FieldMetadataItem
      type: object
    ParameterStorageMetadata:
      properties:
        param_index:
          title: Param Index
          type: integer
        start_byte:
          title: Start Byte
          type: integer
        is_read:
          default: false
          title: Is Read
          type: boolean
        is_written:
          default: false
          title: Is Written
          type: boolean
        field:
          type: string
          nullable: true
        param_name:
          type: string
          nullable: true
        type_name:
          type: string
          nullable: true
      required:
        - param_index
        - start_byte
      title: ParameterStorageMetadata
      type: object
    ConstraintItem:
      properties:
        name:
          title: Name
          type: string
        value:
          items:
            type: string
          type: array
          nullable: true
      required:
        - name
      title: ConstraintItem
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````